## org.apache.batik.ext.awt.image
Class SVGComposite.AlphaPreCompositeContext

    java.lang.Object
      org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext

All Implemented Interfaces:
  java.awt.CompositeContext

Direct Known Subclasses:
  SVGComposite.AlphaPreCompositeContext_INT_PACK, SVGComposite.ArithCompositeContext, SVGComposite.AtopCompositeContext, SVGComposite.DarkenCompositeContext, SVGComposite.InCompositeContext, SVGComposite.LightenCompositeContext, SVGComposite.MultiplyCompositeContext, SVGComposite.OutCompositeContext, SVGComposite.OverCompositeContext, SVGComposite.OverCompositeContext_NA, SVGComposite.ScreenCompositeContext, SVGComposite.XorCompositeContext

Enclosing class:
  SVGComposite

public abstract static class SVGComposite.AlphaPreCompositeContext
extends java.lang.Object
implements java.awt.CompositeContext

Method Summary
`void` `compose(java.awt.image.Raster src, java.awt.image.Raster dstIn, java.awt.image.WritableRaster dstOut)`
`void` `dispose()`
`protected abstract void` `precompose(java.awt.image.Raster src, java.awt.image.Raster dstIn, java.awt.image.WritableRaster dstOut)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `java.awt.CompositeContext`

### precompose

    protected abstract void precompose(java.awt.image.Raster src,
                                       java.awt.image.Raster dstIn,
                                       java.awt.image.WritableRaster dstOut)

### compose

    public void compose(java.awt.image.Raster src,
                        java.awt.image.Raster dstIn,
                        java.awt.image.WritableRaster dstOut)

  Specified by:
    `compose` in interface `java.awt.CompositeContext`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.